var
  fi : text;
  i : longint;
  size :longint;
  c : integer;
  v : word;
begin
  assign(Fi,'input.txt');
  ReWrite(FI);
  Val(ParamStr(1),size,c);
  Randomize;
  for i := 1 to size do
   begin
    v:=Random(65535);
    c:=v-32767;
     WriteLn(fi,c);
   end;
  close(FI);
end.